<?php
/**
 * The default template for displaying content. Used for both single and index/archive/search.
 *
 * @package retrolin
 * @since retrolin 1.0
 */
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<?php if ( is_sticky() && is_home() && ! is_paged() ) { ?>
			<div class="featured-post">
				<?php esc_html_e( 'Featured post', 'retrolin' ); ?>
			</div>
		<?php } ?>
		<header class="entry-header">
			<?php if ( is_single() ) { ?>
				<h1 class="entry-title"><?php the_title(); ?></h1>
			<?php }
			else { ?>
				<h1 class="entry-title">
					<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( esc_html__( 'Permalink to %s', 'retrolin' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
				</h1>
			<?php } // is_single() ?>
			<?php retrolin_posted_on(); echo do_shortcode('[fb_button]');?>
            <?php if ( has_post_thumbnail() && !is_search() ) { ?>
                <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( esc_html__( 'Permalink to %s', 'retrolin' ), the_title_attribute( 'echo=0' ) ) ); ?>">
                    <?php the_post_thumbnail( 'post_feature_full_width' ); ?>
                </a>
            <?php } ?>
		</header> <!-- /.entry-header -->

		<?php if ( is_search() ) { // Only display Excerpts for Search ?>
			<div class="entry-summary">
				<?php the_excerpt(); ?>
			</div> <!-- /.entry-summary -->
		<?php }
		else { ?>
            <?php if(has_excerpt()): ?>
                <div class="entry-summary">
                    <?php the_excerpt(); ?>
                </div>
            <?php endif ?>
			<div class="entry-content">
				<?php the_content(esc_html__( 'read more', 'retrolin' )); ?>
				<?php wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'retrolin' ),
					'after' => '</div>',
					'link_before' => '<span class="page-numbers">',
					'link_after' => '</span>'
				) ); ?>
			</div> <!-- /.entry-content -->
		<?php } ?>

		<footer class="entry-meta">
			<?php if ( is_singular() ) {
				// Only show the tags on the Single Post page
				//echo retrolin_get_entry_meta();
			} ?>
			<?php edit_post_link( esc_html__( 'Edit', 'retrolin' ) . ' <i class="fa fa-angle-right"></i>', '<div class="edit-link">', '</div>' ); ?>
			<?php if ( is_singular() ) {
				get_template_part( 'author-bio' );
			} ?>
		</footer> <!-- /.entry-meta -->
	</article> <!-- /#post -->
